Proposed Senate amendment would require use of E-Verify

The Senate added provisions to the FY 2010 Homeland Security appropriations bill on Wednesday that would mandate federal contractor use of E-Verify, CQ.com reports:

The amendment requiring government contractors to use the E-Verify system was adopted by voice vote after a motion to table it failed, 44-53, despite a surprise announcement from the Department of Homeland Security announcing its commitment to take a similar action.

Full text available to Alliance Members. Please use the "Member Log In" form on the left.